Bug 448812 - Walkman does not mount in Fedora 9 as it did in Fedora 8
Walkman does not mount in Fedora 9 as it did in Fedora 8
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-28 16:57 EDT by Marc Freiman
Modified: 2013-03-05 22:55 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:11:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Freiman 2008-05-28 16:57:50 EDT
Description of problem:
I am having the same trouble. I recently went from Fedora 8 (with no Walkman
trouble) to Fedora 9 (Walkman does not mount) However, I reformatted the Sony
Walkman NWZS616F, and i am still have trouble

sdc: p1 exceeds device capacity
sd 4:0:0:0: [sdc] Attached SCSI removable disk
sd 4:0:0:0: Attached scsi generic sg3 type 0
attempt to access beyond end of device
sdc: rw=0, want=4294967044, limit=7503872
Buffer I/O error on device sdc1, logical block 1073741760
attempt to access beyond end of device
sdc: rw=0, want=4294967048, limit=7503872
Buffer I/O error on device sdc1, logical block 1073741761

I tried to do a pmount - "Error: device /dev/sdc1 is not removable"

Version-Release number of selected component (if applicable):


How reproducible:
Plug in a Sony Walkman NWZ-S616F

Steps to Reproduce:
1.Plug it in
2.do "dmesg"
3.try to do a pmount
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom Georgoulias 2008-06-17 08:56:08 EDT
I'm having the same problem.  Here's the excerpt from /var/log/messages, using
kernel 2.6.25.6-55.fc9.i686.

Jun 17 08:53:24 eichler kernel: usb 1-5: new high speed USB device using
ehci_hcd and address 9
Jun 17 08:53:24 eichler kernel: usb 1-5: configuration #1 chosen from 1 choice
Jun 17 08:53:24 eichler kernel: scsi4 : SCSI emulation for USB Mass Storage devices
Jun 17 08:53:24 eichler kernel: usb 1-5: New USB device found, idVendor=054c,
idProduct=0327
Jun 17 08:53:24 eichler kernel: usb 1-5: New USB device strings: Mfr=1,
Product=2, SerialNumber=3
Jun 17 08:53:24 eichler kernel: usb 1-5: Product: WALKMAN
Jun 17 08:53:24 eichler kernel: usb 1-5: Manufacturer: Sony
Jun 17 08:53:24 eichler kernel: usb 1-5: SerialNumber: BEBB25259765
Jun 17 08:53:29 eichler kernel: scsi 4:0:0:0: Direct-Access     SONY     WALKMAN
         1.00 PQ: 0 ANSI: 0 CCS
Jun 17 08:53:30 eichler kernel: ready
Jun 17 08:53:30 eichler kernel: sd 4:0:0:0: [sdb] 1875968 2048-byte hardware
sectors (3842 MB)
Jun 17 08:53:30 eichler kernel: sd 4:0:0:0: [sdb] Write Protect is off
Jun 17 08:53:30 eichler kernel: sd 4:0:0:0: [sdb] Assuming drive cache: write
through
Jun 17 08:53:30 eichler kernel: sd 4:0:0:0: [sdb] 1875968 2048-byte hardware
sectors (3842 MB)
Jun 17 08:53:30 eichler kernel: sd 4:0:0:0: [sdb] Write Protect is off
Jun 17 08:53:30 eichler kernel: sd 4:0:0:0: [sdb] Assuming drive cache: write
through
Jun 17 08:53:30 eichler kernel:  sdb: sdb1
Jun 17 08:53:30 eichler kernel:  sdb: p1 exceeds device capacity
Jun 17 08:53:30 eichler kernel: sd 4:0:0:0: [sdb] Attached SCSI removable disk
Jun 17 08:53:30 eichler kernel: sd 4:0:0:0: Attached scsi generic sg2 type 0
Jun 17 08:53:30 eichler kernel: attempt to access beyond end of device
Jun 17 08:53:30 eichler kernel: sdb: rw=0, want=4294967044, limit=7503872
Jun 17 08:53:30 eichler kernel: printk: 11 messages suppressed.
Jun 17 08:53:30 eichler kernel: Buffer I/O error on device sdb1, logical block
1073741760
Jun 17 08:53:30 eichler kernel: attempt to access beyond end of device
Jun 17 08:53:30 eichler kernel: sdb: rw=0, want=4294967048, limit=7503872
Jun 17 08:53:30 eichler kernel: Buffer I/O error on device sdb1, logical block
1073741761
Jun 17 08:53:30 eichler kernel: attempt to access beyond end of device
Jun 17 08:53:30 eichler kernel: sdb: rw=0, want=4294967044, limit=7503872
Jun 17 08:53:30 eichler kernel: Buffer I/O error on device sdb1, logical block
1073741760
Comment 2 Tom Georgoulias 2008-06-17 12:59:36 EDT
Another bug that might be related to this one:

https://bugzilla.redhat.com/show_bug.cgi?id=431337
Comment 3 Tom Georgoulias 2008-06-29 10:17:23 EDT
I know that everyone on the fedora team is busy and this bug is pretty low on
the priority list, so I'm just wondering if this bug will ever be looked at or
fixed.  It is a regression from fedora 8 (mounting a walkman threw out similar
errors on f8 but the device still functioned for the user) and I really wish I
had more skills that would allow me to contribute a fix for it, but I don't know
what to do.  In bz#431337 it was suggested that the partition size might not be
interpreted correctly when the sectore size isn't 512, but that was the end of it.

Is there something I can add to this report to help get it fixed, like a trace,
fdisk, etc, that would help?
Comment 4 Ray Strode [halfline] 2008-06-30 14:21:57 EDT
moving to nautilus, since nautilus does mounting in F9.  Very well may be the
kernel issue though.  Does mounting it manually work?
Comment 5 Marc Freiman 2008-07-01 09:21:08 EDT
No, I tried (though I am kinda new at this) and I failed. I tried to mount in 
Ubuntu and I had the same trouble. 
Comment 6 Marc Freiman 2008-07-01 09:21:53 EDT
I did a pmount which I am not sure if that is a manual mount
Comment 7 Tom Georgoulias 2008-07-01 09:26:21 EDT
Yes, I was able to manually mount it on my f9 install:

[root@eichler ~]# uname -r
2.6.25.6-55.fc9.i686
[root@eichler ~]# mount /dev/sdc1 /mnt
[root@eichler ~]# fdisk -l
<snip>

Disk /dev/sdc: 3841 MB, 3841982464 bytes
1 heads, 62 sectors/track, 30257 cylinders
Units = cylinders of 62 * 2048 = 126976 bytes
Disk identifier: 0x00000000

   Device Boot      Start         End      Blocks   Id  System
/dev/sdc1               1    69273667  4294967294   ff  BBT
Partition 1 does not end on cylinder boundary.
Note: sector size is 2048 (not 512)

Disk /dev/sdc1: 2199.0 GB, 2199023253504 bytes
1 heads, 62 sectors/track, 17318416 cylinders
Units = cylinders of 62 * 2048 = 126976 bytes
Disk identifier: 0x00000000

     Device Boot      Start         End      Blocks   Id  System
/dev/sdc1p1               1    69273667  4294967294   ff  BBT
Partition 1 does not end on cylinder boundary.
[root@eichler ~]# mount /dev/sdc1 /mnt
[root@eichler ~]# cd /mnt
[root@eichler mnt]# ls
dcim  mp_root  music  picture  pictures  sonywm  video
[root@eichler mnt]# cd music/
[root@eichler music]# ls
1% of Monster (Exclusive Track)               Norberg
Alwaysnever                                   Oceanless
Bloweyelashwish                               PA Blues
Bright Tomorrow                               Podcasts
Comment 8 Tomáš Bžatek 2008-07-07 08:05:08 EDT
If manual mount via 'mount' (under root preferably) doesn't work, it's probably
because of corrupted partition table on the device.

In other cases, when manual mount works, please check the output of 
  gnome-mount -v --device /dev/xxx --mount-point xxx
Comment 9 Tom Georgoulias 2008-07-07 12:55:01 EDT
Manual mount works for me.  When I tried the command above, it just hangs and
nothing happens.  I had to ^C to get out of it.

[root@eichler ~]# gnome-mount -v --device /dev/sdc1 --mount-point /mnt
gnome-mount 0.8
^C
[root@eichler ~]# 
Comment 10 Tomáš Bžatek 2008-07-09 05:48:27 EDT
gnome-mount is an userspace utility and should be run under user session. Can
you please try it again under your user? However I don't expect any difference.

Changing component to gnome-mount.
Comment 11 Tom Georgoulias 2008-07-09 07:54:15 EDT
Sorry about that, here's another try as me:

[tomg@eichler ~]$ gnome-mount -v --device /dev/sdc1 --mount-point /mnt
gnome-mount 0.8
[tomg@eichler ~]$

This time it didn't hang, but it didn't do anything either.  
Comment 12 Tom Georgoulias 2008-07-26 21:07:51 EDT
Mount still fails after I updated my fedora 9 system with the latest errata.
Comment 13 Tom Georgoulias 2008-08-13 10:32:41 EDT
Any chance I can get some help with this bug?  I can't upgrade to from Fedora 8 to Fedora 9 until it is fixed.
Comment 14 Tom Georgoulias 2008-08-27 21:10:32 EDT
Will this regression be fixed in Fedora 10?
Comment 15 Tom Georgoulias 2008-09-05 17:59:39 EDT
There is a lot of info about this bug in this ubuntu report.  This bug is not isolated to just sony walkmans, it affects other USB devices as well.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/209483
Comment 16 Tomáš Bžatek 2008-09-08 09:24:00 EDT
According to investigation in the Launchpad bugthread the issue should be fixed in newest kernel (2.6.27 series), which is available in rawhide. There is a patch to hal too, but that's not a clean solution.

Installing kernel from the development repository might be the solution, can you please give it a try?
Comment 17 Tom Georgoulias 2008-09-10 08:59:06 EDT
I tried to install the latest rawhide kernel but it depends on a newer version of mkinitrd and that in turn depends on a lot of other rawhide package.

[root@eichler tomg]# rpm -ivh kernel-2.6.27-0.314.rc5.git9.fc10.i686.rpm 
error: Failed dependencies:
	mkinitrd >= 6.0.61-1 is needed by kernel-2.6.27-0.314.rc5.git9.fc10.i686
	kernel-firmware >= 2.6.27-0.314.rc5.git9.fc10 is needed by kernel-2.6.27-0.314.rc5.git9.fc10.i686

Here's what I get when I try to upgrade mkinitrd:

[root@eichler tomg]# rpm -Uvh mkinitrd-6.0.62-1.fc10.i386.rpm kernel-firmware-2.6.27-0.314.rc5.git9.fc10.noarch.rpm 
error: Failed dependencies:
	libbdevid.so.6.0.62 is needed by mkinitrd-6.0.62-1.fc10.i386
	libnash.so.6.0.62 is needed by mkinitrd-6.0.62-1.fc10.i386
	nash = 6.0.62-1.fc10 is needed by mkinitrd-6.0.62-1.fc10.i386
	plymouth >= 0.5.0 is needed by mkinitrd-6.0.62-1.fc10.i386

Is there a 2.6.27 kernel RPM that will install in fedora 9 without as many dependencies?
Comment 18 Tom Georgoulias 2008-10-01 17:14:31 EDT
I tried mounting my walkman using the new fedora 10 beta live CD and it still doesn't work, I get the same behavior on f10 as I do on f9.  Outputs from /var/log/messages, gnome-mount -v, uname -a, and fdisk below.  I'm saddened to see this regression still present in Fedora 10, even with the 2.6.27 kernel.

Oct  1 21:05:19 localhost kernel: usb 1-6: USB disconnect, address 6
Oct  1 21:05:24 localhost kernel: usb 1-6: new high speed USB device using ehci_hcd and address 7
Oct  1 21:05:24 localhost kernel: usb 1-6: configuration #1 chosen from 1 choice
Oct  1 21:05:24 localhost kernel: scsi9 : SCSI emulation for USB Mass Storage devices
Oct  1 21:05:24 localhost kernel: usb 1-6: New USB device found, idVendor=054c, idProduct=0327
Oct  1 21:05:24 localhost kernel: usb 1-6: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Oct  1 21:05:24 localhost kernel: usb 1-6: Product: WALKMAN
Oct  1 21:05:24 localhost kernel: usb 1-6: Manufacturer: Sony
Oct  1 21:05:24 localhost kernel: usb 1-6: SerialNumber: BEBB25259765
Oct  1 21:05:29 localhost kernel: scsi 9:0:0:0: Direct-Access     SONY     WALKMAN          1.00 PQ: 0 ANSI: 0 CCS
Oct  1 21:05:30 localhost kernel: ready
Oct  1 21:05:30 localhost kernel: sd 9:0:0:0: [sdg] 1875968 2048-byte hardware sectors (3842 MB)
Oct  1 21:05:30 localhost kernel: sd 9:0:0:0: [sdg] Write Protect is off
Oct  1 21:05:30 localhost kernel: sd 9:0:0:0: [sdg] Assuming drive cache: write through
Oct  1 21:05:30 localhost kernel: sd 9:0:0:0: [sdg] 1875968 2048-byte hardware sectors (3842 MB)
Oct  1 21:05:30 localhost kernel: sd 9:0:0:0: [sdg] Write Protect is off
Oct  1 21:05:30 localhost kernel: sd 9:0:0:0: [sdg] Assuming drive cache: write through
Oct  1 21:05:30 localhost kernel: sdg: sdg1
Oct  1 21:05:30 localhost kernel: sdg: p1 exceeds device capacity
Oct  1 21:05:30 localhost kernel: sd 9:0:0:0: [sdg] Attached SCSI removable disk
Oct  1 21:05:30 localhost kernel: sd 9:0:0:0: Attached scsi generic sg7 type 0
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967044, limit=7503872
Oct  1 21:05:30 localhost kernel: __ratelimit: 12 callbacks suppressed
Oct  1 21:05:30 localhost kernel: Buffer I/O error on device sdg1, logical block 1073741760
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967048, limit=7503872
Oct  1 21:05:30 localhost kernel: Buffer I/O error on device sdg1, logical block 1073741761
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967044, limit=7503872
Oct  1 21:05:30 localhost kernel: Buffer I/O error on device sdg1, logical block 1073741760
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967048, limit=7503872
Oct  1 21:05:30 localhost kernel: Buffer I/O error on device sdg1, logical block 1073741761
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967276, limit=7503872
Oct  1 21:05:30 localhost kernel: Buffer I/O error on device sdg1, logical block 1073741818
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967280, limit=7503872
Oct  1 21:05:30 localhost kernel: Buffer I/O error on device sdg1, logical block 1073741819
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967276, limit=7503872
Oct  1 21:05:30 localhost kernel: Buffer I/O error on device sdg1, logical block 1073741818
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967280, limit=7503872
Oct  1 21:05:30 localhost kernel: Buffer I/O error on device sdg1, logical block 1073741819
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967292, limit=7503872
Oct  1 21:05:30 localhost kernel: Buffer I/O error on device sdg1, logical block 1073741822
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967292, limit=7503872
Oct  1 21:05:30 localhost kernel: Buffer I/O error on device sdg1, logical block 1073741822
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967292, limit=7503872
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967292, limit=7503872
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967292, limit=7503872
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967292, limit=7503872
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967292, limit=7503872
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967228, limit=7503872
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967232, limit=7503872
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967284, limit=7503872
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967288, limit=7503872
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967292, limit=7503872
Oct  1 21:05:30 localhost kernel: attempt to access beyond end of device
Oct  1 21:05:30 localhost kernel: sdg: rw=0, want=4294967292, limit=7503872


[root@localhost log]# fdisk -l

Disk /dev/sda: 250.0 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x1549f232

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1          13      104391   83  Linux
/dev/sda2              14       30401   244091610   8e  Linux LVM

Disk /dev/sdb: 250.0 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x000031da

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1               1       30401   244196001   83  Linux
Note: sector size is 2048 (not 512)

Disk /dev/sdg: 3841 MB, 3841982464 bytes
1 heads, 62 sectors/track, 30257 cylinders
Units = cylinders of 62 * 2048 = 126976 bytes
Disk identifier: 0x00000000

   Device Boot      Start         End      Blocks   Id  System
/dev/sdg1               1    69273667  4294967294   ff  BBT
Partition 1 does not end on cylinder boundary.
[root@localhost log]# 

[root@localhost log]# uname -r
2.6.27-0.352.rc7.git1.fc10.i686
[root@localhost log]# 

[fedora@localhost ~]$ gnome-mount -v
gnome-mount 0.8
[fedora@localhost ~]$
Comment 19 Tom Georgoulias 2008-10-04 08:32:20 EDT
Should this bug be moved to kernel instead of gnome-mount, since the ubuntu users indicated their problems were corrected with a 2.6.27 kernel?  Also, should one be opened for Fedora 10 so that it can be fixed in that release?
Comment 20 Tom Georgoulias 2008-10-04 13:17:30 EDT
I downloaded the Ubuntu 8.10 beta Live CD, it doesn't have this bug.  My walkman automatically mounts in gnome just like it does on Fedora 8.  Here's the output from /var/log/message, fdisk, uname -r, and gnome-mount -v.

Oct  4 16:33:40 ubuntu kernel: [  105.934026] kjournald starting.  Commit interval 5 seconds
Oct  4 16:33:40 ubuntu kernel: [  105.935578] EXT3-fs warning: maximal mount count reached, running e2fsck is recommended
Oct  4 16:33:40 ubuntu kernel: [  105.938128] EXT3 FS on sdb1, internal journal
Oct  4 16:33:40 ubuntu kernel: [  105.938742] EXT3-fs: mounted filesystem with ordered data mode.
Oct  4 16:34:30 ubuntu kernel: [  155.768027] usb 1-6: new high speed USB device using ehci_hcd and address 6
Oct  4 16:34:30 ubuntu kernel: [  155.905100] usb 1-6: configuration #1 chosen from 1 choice
Oct  4 16:34:30 ubuntu kernel: [  155.907490] scsi8 : SCSI emulation for USB Mass Storage devices
Oct  4 16:34:35 ubuntu kernel: [  160.909475] scsi 8:0:0:0: Direct-Access     SONY     WALKMAN          1.00 PQ: 0 ANSI: 0 CCS
Oct  4 16:34:36 ubuntu kernel: [  161.936486] ready
Oct  4 16:34:36 ubuntu kernel: [  161.937115] sd 8:0:0:0: [sdg] 1875968 2048-byte hardware sectors (3842 MB)
Oct  4 16:34:36 ubuntu kernel: [  162.042417] sd 8:0:0:0: [sdg] Write Protect is off
Oct  4 16:34:36 ubuntu kernel: [  162.045676] sd 8:0:0:0: [sdg] 1875968 2048-byte hardware sectors (3842 MB)
Oct  4 16:34:36 ubuntu kernel: [  162.152487] sd 8:0:0:0: [sdg] Write Protect is off
Oct  4 16:34:36 ubuntu kernel: [  162.152519]  sdg: sdg1
Oct  4 16:34:36 ubuntu kernel: [  162.154622] sdg: p1 exceeds device capacity
Oct  4 16:34:36 ubuntu kernel: [  162.155599] sd 8:0:0:0: [sdg] Attached SCSI removable disk
Oct  4 16:34:36 ubuntu kernel: [  162.155814] sd 8:0:0:0: Attached scsi generic sg7 type 0
Oct  4 16:34:36 ubuntu kernel: [  162.286267] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.286284] sdg: rw=0, want=4294967044, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.288711] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.288727] sdg: rw=0, want=4294967048, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.292927] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.292941] sdg: rw=0, want=4294967044, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.297101] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.297114] sdg: rw=0, want=4294967048, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.301294] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.301308] sdg: rw=0, want=4294967276, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.306286] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.306300] sdg: rw=0, want=4294967280, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.310455] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.310468] sdg: rw=0, want=4294967276, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.315491] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.315505] sdg: rw=0, want=4294967280, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.319862] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.319877] sdg: rw=0, want=4294967292, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.321625] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.321639] sdg: rw=0, want=4294967292, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.323311] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.323327] sdg: rw=0, want=4294967292, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.326291] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.326306] sdg: rw=0, want=4294967292, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.330456] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.330471] sdg: rw=0, want=4294967292, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.333100] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.333114] sdg: rw=0, want=4294967292, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.336223] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.336237] sdg: rw=0, want=4294967292, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.338126] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.338134] sdg: rw=0, want=4294967228, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.339528] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.339534] sdg: rw=0, want=4294967232, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.340848] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.340855] sdg: rw=0, want=4294967284, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.342138] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.342144] sdg: rw=0, want=4294967288, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.356128] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.356141] sdg: rw=0, want=4294967292, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.356154] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.356157] sdg: rw=0, want=4294967292, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378242] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378252] sdg: rw=0, want=4294967044, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378257] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378264] sdg: rw=0, want=4294967048, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378268] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378271] sdg: rw=0, want=4294967044, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378274] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378277] sdg: rw=0, want=4294967048, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378294] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378297] sdg: rw=0, want=4294967276, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378301] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378307] sdg: rw=0, want=4294967280, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378311] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378314] sdg: rw=0, want=4294967276, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378321] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378324] sdg: rw=0, want=4294967280, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378376] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378379] sdg: rw=0, want=4294967292, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378388] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378391] sdg: rw=0, want=4294967292, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378399] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378403] sdg: rw=0, want=4294967292, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378415] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378418] sdg: rw=0, want=4294967292, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378425] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378432] sdg: rw=0, want=4294967292, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378440] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378443] sdg: rw=0, want=4294967292, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378451] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378454] sdg: rw=0, want=4294967292, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378464] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378469] sdg: rw=0, want=4294967228, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378472] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378475] sdg: rw=0, want=4294967232, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378489] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378496] sdg: rw=0, want=4294967284, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378499] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378502] sdg: rw=0, want=4294967288, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378511] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378516] sdg: rw=0, want=4294967292, limit=7503872
Oct  4 16:34:36 ubuntu kernel: [  162.378524] attempt to access beyond end of device
Oct  4 16:34:36 ubuntu kernel: [  162.378527] sdg: rw=0, want=4294967292, limit=7503872
^C



ubuntu@ubuntu:~$ uname -r
2.6.27-4-generic
ubuntu@ubuntu:~$ gnome-mount -v
gnome-mount 0.8


ubuntu@ubuntu:~$ sudo fdisk -l

Disk /dev/sda: 250.0 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x1549f232

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1          13      104391   83  Linux
/dev/sda2              14       30401   244091610   8e  Linux LVM

Disk /dev/sdb: 250.0 GB, 250059350016 bytes
255 heads, 63 sectors/track, 30401 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0x000031da

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1               1       30401   244196001   83  Linux
Note: sector size is 2048 (not 512)

Disk /dev/sdg: 3841 MB, 3841982464 bytes
1 heads, 62 sectors/track, 30257 cylinders
Units = cylinders of 62 * 2048 = 126976 bytes
Disk identifier: 0x00000000

   Device Boot      Start         End      Blocks   Id  System
/dev/sdg1               1    69273667  4294967294   ff  BBT
Partition 1 does not end on cylinder boundary.
ubuntu@ubuntu:~$
Comment 21 Tom Georgoulias 2008-11-26 10:46:28 EST
The walkman is working again on Fedora 10, just like it did on Fedora 9.
Comment 22 Bug Zapper 2009-06-09 21:16:11 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Bug Zapper 2009-07-14 11:11:20 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.